Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2407

Summary: STB NVidia ZX (Riva_128)
Product: [Retired] Red Hat Linux Reporter: tones
Component: XFree86Assignee: Preston Brown <pbrown>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: andrews, tones
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-08-31 13:34:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description tones 1999-04-29 03:59:02 UTC
The SVGA driver for the Riva 128 chipset sends out-of-range
data to the video card, hanging the system.  I did not have
this problem with the XFree 3.3.2 shipped with RedHat 5.2

The problem can be "Resolved" by setting the refresh rates
of the monitor to very low levels (50-80, 30-70)

Comment 1 Preston Brown 1999-07-15 19:01:59 UTC
We need more information about your configuration, what modeline is
actually being selected that is "bad", etc.  Dave, can you verify this
as well please?

Comment 2 tones 1999-07-15 20:38:59 UTC
I am away from my computer (the one which suffered from the problem)
for the summer, and thus I can't check exactly where the "cutoff"
point is in the modelines.  I can say that 640 x 480 @ 8bpp & 60Hz
does work and 1024x768 @ 16bpp & 75Hz does not (though it was fine
under the previous version of XFree).  Sorry I can't be of more
service.

-Tony Hilliard (the one who reported the bug)

Comment 3 tones 1999-07-15 20:40:59 UTC
Oh, and:

The computer suffering from the bug is a Dell system with a Nvidia
Riva 128ZX.  This card might differ slightly from others.

Comment 4 Preston Brown 1999-08-31 13:34:59 UTC
please re-open this bug when you are able to get back to the affected
system, and you have tested the situation again with the latest
available XFree86 updates.

------- Additional Comments From   09/14/99 22:58 -------
All is well in the state of Denmark - XFree86 3.3.5 works dandily.
Thanks for your time (and the Red hat IPO offer!)